curl --location --request PUT 'https://api.opencopilot.so/backend/actions/bot/:id/import-from-swagger' \
--header 'Accept: application/json' \
--header 'Authorization : Bearer YOUR_TOKEN' \
--form 'file=@"/Users/gharbat/Desktop/swagger.json"'
{
"message": "Successfully imported actions from swagger.json"
}
Actions
Import actions
Import actions from a Swagger file to a copilot by ID
PUT
/
backend
/
actions
/
bot
/
:id
/
import-from-swagger
curl --location --request PUT 'https://api.opencopilot.so/backend/actions/bot/:id/import-from-swagger' \
--header 'Accept: application/json' \
--header 'Authorization : Bearer YOUR_TOKEN' \
--form 'file=@"/Users/gharbat/Desktop/swagger.json"'
{
"message": "Successfully imported actions from swagger.json"
}
Body
string
The uuid of the copilot
Headers
string
application/json
string
Bearer YOUR_TOKEN
Response
string
Indicates whether the call was successful.
curl --location --request PUT 'https://api.opencopilot.so/backend/actions/bot/:id/import-from-swagger' \
--header 'Accept: application/json' \
--header 'Authorization : Bearer YOUR_TOKEN' \
--form 'file=@"/Users/gharbat/Desktop/swagger.json"'
{
"message": "Successfully imported actions from swagger.json"
}

